[Документация Yandex Cloud](../../../index.md) > [Yandex Container Registry](../../index.md) > Справочник API > [REST (англ.)](../index.md) > [LifecyclePolicy](index.md) > GetDryRunResult

# Container Registry API, REST: LifecyclePolicy.GetDryRunResult

Returns the dry run result of the specified lifecycle policy.

## HTTP request

```
GET https://container-registry.api.yandexcloud.kz/container-registry/v1/dryRunLifecyclePolicyResults/{dryRunLifecyclePolicyResultId}
```

## Path parameters

#|
||Field | Description ||
|| dryRunLifecyclePolicyResultId | **string**

Required field. ID of the dry run result of the lifecycle policy.

The maximum string length in characters is 50. ||
|#

## Response {#yandex.cloud.containerregistry.v1.DryRunLifecyclePolicyResult}

**HTTP Code: 200 - OK**

```json
{
  "dryRunLifecyclePolicyResultId": "string",
  "lifecyclePolicyId": "string",
  "runAt": "string",
  "affectedImagesCount": "string"
}
```

#|
||Field | Description ||
|| dryRunLifecyclePolicyResultId | **string**

ID of the dry run result of the lifecycle policy. ||
|| lifecyclePolicyId | **string**

ID of the lifecycle policy. ||
|| runAt | **string** (date-time)

Time of the getting result.

String in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. The range of possible values is from
`0001-01-01T00:00:00Z` to `9999-12-31T23:59:59.999999999Z`, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
[Protocol Buffers reference](https://developers.google.com/protocol-buffers/docs/reference/overview).
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits). ||
|| affectedImagesCount | **string** (int64)

Count of affected images. ||
|#